---
title: AudioContextOptions.sampleRate
slug: Web/API/AudioContextOptions/sampleRate
tags:
  - API
  - Audio
  - AudioContext
  - AudioContextOptions
  - Dictionary
  - Interface
  - Media
  - Options
  - Reference
  - Sample Rate
  - Web Audio
  - Web Audio API
  - sampleRate
---
<div>{{APIRef("WebRTC")}}</div>

<p><span class="seoSummary">The {{domxref("AudioContextOptions")}} dictionary (used when instantiating an {{domxref("AudioContext")}}) may contain a property named <code><strong>sampleRate</strong></code>, which indicates the sample rate to use for the new context.</span> The value must be a floating-point value indicating the sample rate, in samples per second, for which to configure the new context; additionally, the value must be one which is supported by {{domxref("AudioBuffer.sampleRate")}}.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox"><em>audioContextOptions</em>.sampleRate = <em>44100</em>;

var <em>sampleRate</em> = <em>audioContextOptions</em>.sampleRate;</pre>

<h3 id="Value">Value</h3>

<p>The desired sample rate for the <code>AudioContext</code>, specified in samples per second. The value must be compatible with {{domxref("AudioBuffer.sampleRate")}}. This value should typically be between 8,000 Hz and 96,000 Hz; the default will vary depending on the output device, but the sample rate 44,100 Hz is the most common.</p>

<p>If the <code>sampleRate</code> property is not included in the options, or the options are not specified when creating the audio context, the new context's output device's preferred sample rate is used by default.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('Web Audio API','#dom-audiocontextoptions-samplerate','AudioContextOptions.sampleRate')}}</td>
   <td>{{Spec2('Web Audio API')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.AudioContextOptions.sampleRate")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{domxref("AudioContext")}}: The interface describing an audio context</li>
 <li>{{domxref("AudioContext.AudioContext", "AudioContext()")}}: The audio context constructor, which accepts a {{domxref("AudioContextOptions")}} object as an input.</li>
</ul>
